axis-java-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Акинцев Валерий <ak...@inbox.ru>
Subject org.apache.axis2.AxisFault
Date Sun, 28 Sep 2008 09:00:03 GMT
  Good day.  When I try to convey his client exception in my experience the following error?
org.apache.axis2.AxisFault: Hello Exception at org.apache.axis2.util.Utils.getInboundFaultFromMessageContext(Utils.java:512)
at org.apache.axis2.description.OutInAxisOperationClient.handleResponse(OutInAxisOperation.java:370)
at org.apache.axis2.description.OutInAxisOperationClient.send(OutInAxisOperation.java:416)
at org.apache.axis2.description.OutInAxisOperationClient.executeImpl(OutInAxisOperation.java:228)
at org.apache.axis2.client.OperationClient.execute(OperationClient.java:163) at mypac.MyServiceStub.getExcept(MyServiceStub.java:201)
at mypac.StartCli.main(StartCli.java:22) I gereriruyu service using Axis2 Service Maker  A
client using Axis2 Codegen Wizard Plug-inWhat am I doing wrong? Service classpublic class
MyService {public String getExcept() throws MyExcept{throw new MyExcept();}}MyException classpublic
class MyExcept extends Exception {  public MyExcept(){ super("Hello
  Exception"); }}My Client classpublic class StartCli { public static void main(String[] args)
{ try { MyServiceStub stub = new MyServiceStub(); stub.getExcept(); } catch (RemoteException
e) { e.printStackTrace(); } catch (MyExceptException0 e) { e.printStackTrace(); }; }}


Mime
View raw message